@import url('https://fonts.googleapis.com/css2?family=Kumbh+Sans:wght@100;200&family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400&display=swap');

*{
    font-family: 'Kumbh Sans', sans-serif;
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    font-size: 10px;
    scroll-padding-top: 2rem;
    scroll-behavior: smooth;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}

:root{
    --main-color : #fd4646;
    --text-color : #171427;
    --bg-color : #fff;
}

img{
    width: 100%;
}

body{
    color : var(--text-color);
}

header{
    position: fixed;
    top:0;
    left: 0;
    width: 100%;
    background-color: var(--bg-color);
    box-shadow: 0 1px 4px #2825251a;
    z-index: 10;
}

.nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0.5rem 100px;
}

#cart-icon{
    color: var(--text-color);
    font-size: 2rem;
    cursor: pointer;
}

#cart-icon:hover{
    color: gray;
}

.logo{
    color: var(--text-color);
    font-size: 1.5rem;
}


main{
    position: relative;
    top: 40px;
    left: 0;
    width: 100%;
    z-index: 0;
}

.shop-product{
    font-size: 2rem;
    font-weight: 600;
    text-align: center;
}

.item-section{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    height: 89vh;
    overflow: scroll;
    padding: 0 90px;
}

.item-card{
    position: relative;
    height: 300px;
    width: 250px;
    margin: 15px 10px;
    display: inline-block;
    transition: 0.3s;

}   

.item-card:hover{
    /* border: 1px solid black; */
    box-shadow: 0px 1px 10px black;
    padding: 2px;
    cursor: pointer;
}

.item-title{
    font-size: 1.5rem;
    font-weight: 600;
}

#item-cart{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 30px;
    width:  30px;
    position: absolute;
    bottom: 0px;
    right: 0px;
    font-size: 1.5rem;
    color: white;
    background-color: black;
    padding: 2px;
}

.price{
    font-size: 1.5rem;
}
img{
    /* width: 250px;
    height: 270px; */
    background-color: rgba(241, 236, 236, 0.774);
}

.cart{
    z-index: 10;
    position: fixed;
    top: 0;
    right: -100%;
    width: 360px;
    min-height: 100vh;
    padding: 20px;
    background: var(--bg-color);
    box-shadow: -2px 0 4px hsl(0 4% 15% / 10%);
    transition: right 0.8s;
}
.cart.active{
    right: 0;
}
.cart-title{
    text-align: center;
    font-size: 2rem;
    font-weight: 600;
}

.cart-box{
    display: flex;
    align-items: center;
    width: 100%;
    height: 100px;
}

.cart-img{
    height: 70px;
    width: 70px;
    margin: 10px 20px;
}

#line{
    border-top: 2px solid black;
}
.detail-box{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 150px;
    height: 70px;
}

.cart-product-title{
    font-size: 1.6rem;
}
.cart-price{
    font-size: 1.3rem;
}
.cart-quantity{
    height: 20px;
    width: 35px;
    border: 1px solid black;
    font-size: 1.5rem;
    text-align: center;
}
.cart-remove{
    margin-left: 10px;
    font-size: 1.8rem;
    color: red;
    cursor: pointer;
}
.cart-remove:hover{
    color: rgb(243, 57, 57);
}

.total{
    display: flex;
    justify-content: flex-end;
}
.total-title{
    font-size: 1.5rem;
    font-weight: 600;
}
.total-price{
    margin-left: 0.5rem;
    font-size: 1.5rem;
}

.btn-buy{
    display: flex;
    margin: 1.5rem auto 0 auto;
    padding: 12px 20px;
    background: var(--main-color);
    color: var(--bg-color);
    font-size: 1.4rem;
    font-weight: 500;
    cursor: pointer;
}
.btn-buy:hover{
    background: var(--text-color);
}

#close-cart{
    position: absolute;
    top: 1rem;
    right: 0.8rem;
    font-size: 3rem;
    color: var(--text-color);
    cursor: pointer;
}
#close-cart:hover{
    
    color: #d62626;
    top: 0.75rem;
    right: 0.65rem;
    font-size: 3.5rem;

}

.cart-content{
    max-height: 77vh;
    overflow: scroll;
}
::-webkit-scrollbar {
    display: none;
  }

  #copyRight{
      text-align: center;
      font-size: 1.5rem;
      color: gray;
      position: fixed;
      bottom: 0;
      width: 100%;
  }